Get Host

Get Host
Get a host by its ID

Get a host by its ID

Request
URI
GET
https://{api_host}/v1/hosts/{id}
COPY
Path Parameters
string
id
Required  

id


Responses
200

Ok

Returns Host of type(s) application/json
{
    "id": "string",
    "serialNumber": "string",
    "esxiVersion": "string",
    "sshThumbprint": "string",
    "sslThumbprint": "string",
    "fqdn": "string",
    "hardwareVendor": "string",
    "hardwareModel": "string",
    "ipAddresses": [
        {
            "ipAddress": "string",
            "type": "One among: MANAGEMENT, VSAN, VMOTION, NFS, VSAN_EXTERNAL",
            "ipAddressVersion": "One among: IPv4, IPv6"
        }
    ],
    "cpu": {
        "frequencyMHz": "number",
        "usedFrequencyMHz": "number",
        "cores": 0,
        "cpuCores": [
            {
                "frequencyMHz": "number",
                "model": "string",
                "manufacturer": "string"
            }
        ]
    },
    "memory": {
        "totalCapacityMB": "number",
        "usedCapacityMB": "number"
    },
    "storage": {
        "totalCapacityMB": "number",
        "usedCapacityMB": "number",
        "disks": [
            {
                "capacityMB": "number",
                "diskType": "One among: HDD, FLASH",
                "manufacturer": "string",
                "model": "string"
            }
        ]
    },
    "physicalNics": [
        {
            "deviceName": "string",
            "macAddress": "string",
            "speed": 0,
            "unit": "string",
            "smartNicInfo": {
                "vendorName": "string",
                "dpuId": "string"
            },
            "state": "One among: INACTIVE, ACTIVE_IN_USE, ACTIVE_NOT_IN_USE"
        }
    ],
    "networks": [
        {
            "id": "string",
            "type": "VSAN, VMOTION, VXLAN, NFS, ISCSI, VSAN_EXTERNAL",
            "ipAddressVersion": "IPv6",
            "ipAddressAssignmentMode": "SLAAC",
            "vlanId": 0,
            "mtu": 0,
            "subnet": "string",
            "mask": "string",
            "gateway": "string",
            "ipPools": [
                {
                    "start": "string",
                    "end": "string"
                }
            ],
            "freeIps": [
                "string"
            ],
            "usedIps": [
                "string"
            ],
            "usedIpCount": "string",
            "freeIpCount": "string"
        }
    ],
    "hostNetworks": [
        {
            "type": "string",
            "vlanId": 0,
            "mtu": 0
        }
    ],
    "gpus": [
        {
            "deviceName": "string",
            "vendorName": "string",
            "vgpuState": "One among: READY, DRIVER_MISSING, NOT_SUPPORTED, NO_NVIDIA_GPU"
        }
    ],
    "domain": {
        "id": "string",
        "name": "string",
        "type": "string"
    },
    "networkpool": {
        "id": "string",
        "name": "string"
    },
    "cluster": {
        "id": "string",
        "name": "string"
    },
    "status": "One among: ASSIGNED, UNASSIGNED_USEABLE, UNASSIGNED_UNUSEABLE",
    "compatibleStorageType": "string",
    "bundleRepoDatastore": "string",
    "hybrid": false,
    "softwareInfo": {
        "baseImage": {
            "version": "7.0.0-0.0.30340198",
            "details": {
                "displayName": "7.0.0-0.0.30340198",
                "displayVersion": "string",
                "releaseDate": "string",
                "releaseTimestamp": "string",
                "quickPatchCompatibleVersions": [
                    {
                        "version": "8.0.3-0.0.23174786",
                        "displayVersion": "8.0 Update 3 - 23174786"
                    }
                ]
            }
        },
        "addOn": {
            "version": "2.0-1",
            "name": "DELL-sample-Addon",
            "vendor": "Dell",
            "displayName": "string",
            "displayVersion": "string"
        },
        "components": {
            "components": {
                "version": "1.3.2.8-1OEM.650.0.0.4598673",
                "details": {
                    "vendor": "intel",
                    "displayName": "string",
                    "displayVersion": "string"
                }
            }
        },
        "removedComponents": {
            "removedComponents": {
                "version": "1.3.2.8-1OEM.650.0.0.4598673",
                "details": {
                    "vendor": "intel",
                    "displayName": "string",
                    "displayVersion": "string"
                }
            }
        },
        "hardwareSupport": {
            "packages": {
                "packages": {
                    "pkg": "string",
                    "version": "string"
                }
            }
        },
        "alternativeImages": {
            "alternativeImages": {
                "baseImage": {
                    "version": "7.0.0-0.0.30340198",
                    "details": {
                        "displayName": "7.0.0-0.0.30340198",
                        "displayVersion": "string",
                        "releaseDate": "string",
                        "releaseTimestamp": "string",
                        "quickPatchCompatibleVersions": [
                            {
                                "version": "8.0.3-0.0.23174786",
                                "displayVersion": "8.0 Update 3 - 23174786"
                            }
                        ]
                    }
                },
                "addOn": {
                    "version": "2.0-1",
                    "name": "DELL-sample-Addon",
                    "vendor": "Dell",
                    "displayName": "string",
                    "displayVersion": "string"
                },
                "components": {
                    "components": {
                        "version": "1.3.2.8-1OEM.650.0.0.4598673",
                        "details": {
                            "vendor": "intel",
                            "displayName": "string",
                            "displayVersion": "string"
                        }
                    }
                },
                "removedComponents": {
                    "removedComponents": {
                        "version": "1.3.2.8-1OEM.650.0.0.4598673",
                        "details": {
                            "vendor": "intel",
                            "displayName": "string",
                            "displayVersion": "string"
                        }
                    }
                },
                "hardwareSupport": {
                    "packages": {
                        "packages": {
                            "pkg": "string",
                            "version": "string"
                        }
                    }
                },
                "selectionCriteria": {
                    "selectionType": "One among: HOST_UUID, HOST_HARDWARE_SPEC",
                    "hostBiosIds": [
                        "string"
                    ],
                    "hostHardware": {
                        "vendor": "string",
                        "models": [
                            "string"
                        ],
                        "families": [
                            "string"
                        ],
                        "oemStrings": [
                            "string"
                        ]
                    }
                },
                "displayName": "string"
            }
        }
    },
    "tags": [
        {
            "id": "string",
            "name": "string",
            "categoryId": "string",
            "categoryName": "string"
        }
    ],
    "configurationStatus": "One among: ACTIVE, ACTIVATING, UPGRADING, DISABLED, ERROR, SKIPPED, DEACTIVATING, EXPANDING, SHRINKING, CREATING",
    "datastoreType": "One among: VSAN, VSAN_ESA, VSAN_MAX, NFS, FC, VVOL, VSAN_REMOTE, VMFS",
    "vvolStorageProtocolType": "One among: ISCSI, NFS, FC",
    "managedObjectReferenceId": "string",
    "isStandalone": false,
    "isLifecycleManaged": false,
    "isVsanWitnessHost": false
}
string
id
Read-Only  

ID of the host

string
serialNumber
Read-Only  

Serial Number of the host

string
esxiVersion
Read-Only  

ESXi software version of the host

string
sshThumbprint
Read-Only  

SSH Thumbprint of the host

string
sslThumbprint
Read-Only  

SSL Thumbprint of the host

string
fqdn
Read-Only  

FQDN of the host

string
hardwareVendor
Read-Only  

Hardware vendor of the host

string
hardwareModel
Read-Only  

Hardware model of the host

array of object
ipAddresses
Read-Only  

Information about IP addresses assigned to the host

object
cpu
Read-Only  

Represents information about CPUs on a host

object
memory
Read-Only  

Represents information about memory on a host

object
storage
Read-Only  

Represents information about storage on a host

array of object
physicalNics
Read-Only  

Information about physical NICs on the host

array of object
networks
Read-Only  

Information about Networks on the host This is deprecated

array of object
hostNetworks
Read-Only  

Information about Networks on the host

array of object
gpus
Read-Only  

Information about Gpus on the host

object
domain
Read-Only  

Represents a domain reference

object
networkpool
Read-Only  

Represents a network pool reference

object
cluster
Read-Only  

Represents a reference to the cluster

string
status
Read-Only  

Status of the host

string
compatibleStorageType
Read-Only  

Information about the host compatible storage type

string
bundleRepoDatastore
Read-Only  

Bundle repositry datastore for this host

boolean
hybrid
Read-Only  

Information about the storage type of the host, true if the host is hybrid

object
softwareInfo
Optional

SoftwareSpec contains base os, components, hardware support, addOn metadata to install/update the appropriate Cloud Foundation software components in your management domain or workload domain.

array of object
tags
Optional

Deprecated, this list will always be returned empty

string
configurationStatus
Read-Only  

Information about the configuration status of the host

string
datastoreType
Read-Only  

Information about the datastore type of the host

string
vvolStorageProtocolType
Read-Only  

Information about the VVOL storage protocol type of the host

string
managedObjectReferenceId
Read-Only  

Managed object reference ID

boolean
isStandalone
Read-Only  

Is the host a Standalone Host

boolean
isLifecycleManaged
Read-Only  

Is the host managed by vLCM

boolean
isVsanWitnessHost
Read-Only  

Is the host a vSAN witness host


400

Bad Request

Returns Error of type(s) application/json
{
    "errorCode": "string",
    "errorType": "string",
    "arguments": [
        "string"
    ],
    "context": {
        "context": "string"
    },
    "notifications": [
        {
            "severity": "string",
            "message": "string",
            "remediations": [
                {
                    "message": "string",
                    "link": "string"
                }
            ],
            "impactMessage": "string"
        }
    ],
    "message": "string",
    "remediationMessage": "string",
    "causes": [
        {
            "type": "string",
            "message": "string"
        }
    ],
    "nestedErrors": [
        {
            "errorCode": "string",
            "errorType": "string",
            "arguments": [
                "string"
            ],
            "context": {
                "context": "string"
            },
            "notifications": [
                {
                    "severity": "string",
                    "message": "string",
                    "remediations": [
                        {
                            "message": "string",
                            "link": "string"
                        }
                    ],
                    "impactMessage": "string"
                }
            ],
            "message": "string",
            "remediationMessage": "string",
            "causes": [
                {
                    "type": "string",
                    "message": "string"
                }
            ],
            "nestedErrors": [
                "Error Object"
            ],
            "referenceToken": "string",
            "label": "string",
            "remediationUrl": "string"
        }
    ],
    "referenceToken": "string",
    "label": "string",
    "remediationUrl": "string"
}
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of object
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


500

Internal server error

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v1/hosts/{id}